org.apache.lucene.search

## Class DocTermOrdsRangeFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.Filter
    - - org.apache.lucene.search.DocTermOrdsRangeFilter

- All Implemented Interfaces:
    Cloneable

  Deprecated.
  Use `DocValuesRangeQuery` instead

      @Deprecated
      public abstract class DocTermOrdsRangeFilter
      extends Filter

  A range filter built on top of a cached multi-valued term field (from `LeafReader.getSortedSetDocValues(java.lang.String)`).

  Like `DocValuesRangeFilter`, this is just a specialized range query versus using a TermRangeQuery with `DocValuesRewriteMethod`: it will only do two ordinal to term lookups.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `abstract DocIdSet` | `getDocIdSet(LeafReaderContext context, Bits acceptDocs)` Deprecated. This method is implemented for each data type
    `String` | `getField()` Deprecated. Returns the field name for this filter
    `BytesRef` | `getLowerVal()` Deprecated. Returns the lower value of this range filter
    `BytesRef` | `getUpperVal()` Deprecated. Returns the upper value of this range filter
    `int` | `hashCode()` Deprecated.
    `boolean` | `includesLower()` Deprecated. Returns `true` if the lower endpoint is inclusive
    `boolean` | `includesUpper()` Deprecated. Returns `true` if the upper endpoint is inclusive
    `static DocTermOrdsRangeFilter` | `newBytesRefRange(String field, BytesRef lowerVal, BytesRef upperVal, boolean includeLower, boolean includeUpper)` Deprecated. Creates a BytesRef range filter using `LeafReader.getSortedSetDocValues(java.lang.String)`.
    `String` | `toString(String defaultField)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.search.Filter

      `rewrite`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, createWeight, getBoost, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDocIdSet

          public abstract DocIdSet getDocIdSet(LeafReaderContext context,
                             Bits acceptDocs)
                                        throws IOException

      Deprecated.
      This method is implemented for each data type
      Specified by:
        `getDocIdSet` in class `Filter`
      Throws:
        `IOException`

    - #### newBytesRefRange

          public static DocTermOrdsRangeFilter newBytesRefRange(String field,
                                                BytesRef lowerVal,
                                                BytesRef upperVal,
                                                boolean includeLower,
                                                boolean includeUpper)

      Deprecated.
      Creates a BytesRef range filter using `LeafReader.getSortedSetDocValues(java.lang.String)`. This works with all fields containing zero or one term in the field. The range can be half-open by setting one of the values to `null`.

    - #### toString

          public final String toString(String defaultField)

      Deprecated.
      Specified by:
        `toString` in class `Query`

    - #### equals

          public final boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public final int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Query`

    - #### getField

          public String getField()

      Deprecated.
      Returns the field name for this filter

    - #### includesLower

          public boolean includesLower()

      Deprecated.
      Returns `true` if the lower endpoint is inclusive

    - #### includesUpper

          public boolean includesUpper()

      Deprecated.
      Returns `true` if the upper endpoint is inclusive

    - #### getLowerVal

          public BytesRef getLowerVal()

      Deprecated.
      Returns the lower value of this range filter

    - #### getUpperVal

          public BytesRef getUpperVal()

      Deprecated.
      Returns the upper value of this range filter

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.